#include <fstream>
#include "tmemtpl_01.h"

// ctor, öffnet Datei zum Lesen und Schreiben
SaveFile::SaveFile(const std::string& fileName)
{
    ioFile.open(fileName, std::ios::in | std::ios::out | std::ios::trunc);
    if (!ioFile)
        throw "Fehler beim Datei oeffnen!"s;
}
// dtor, schliesst Datei
SaveFile::~SaveFile()
{
    ioFile.close();
}
// Reset, setzt den Schreib- und Lesezeiger zurück
void SaveFile::Reset()
{
    ioFile.seekg(0);
    ioFile.seekp(0);
}